Bug 144993 - databases/postgresql-odbc: contents of numeric fields returned as 0
Summary: databases/postgresql-odbc: contents of numeric fields returned as 0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-24 02:30 UTC by berend
Modified: 2011-03-17 19:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description berend 2010-03-24 02:30:02 UTC
After installing the postgresql ODBC driver version 8.04 numeric fields return 0.00. Solution is to install the previous version, version postgresql-odbc-08.03.0400.

PostgreSQL version is 8.4. Data is retrieved through unixODBC with the PostgreSQL ODBC driver, through the Eiffel ECLI (ODBC binding) library. After some testing I don't believe the problem is with this Eiffel binding, as just a minor release back everything works.

All other datatypes are OK.

Fix: 

Install the previous version, version postgresql-odbc-08.03.0400.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-03-24 03:40:43 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Stefan Walter freebsd_committer 2010-05-17 11:32:41 UTC
Dear maintainer of databases/postgresql-odbc,

a problem report has been submitted for your port for which your 
feedback might be required; its contents can be found at [1]. If it 
contains a patch or suggestions for a change, please send a followup to 
the PR explaining whether or not you approve it and want it to be 
committed.

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144993
Comment 3 Stefan Walter freebsd_committer 2010-05-17 11:33:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainer's feedback. 


Comment 4 Stefan Walter freebsd_committer 2010-05-17 11:33:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Track this for now.
Comment 5 Stefan Walter freebsd_committer 2010-06-27 18:26:01 UTC
Hi Berend, hi Alex,

it looks like there is a new version (08.04.0200) of postgresql-odbc
available. Maybe an update fixes the problem? (If it does, could you send
a followup with a patch for updating the port?)

Regards,
Stefan
Comment 6 Stefan Walter freebsd_committer 2010-08-02 17:38:50 UTC
Responsible Changed
From-To: stefan->freebsd-ports-bugs

Return this PR to the pool - I currently do not have the time to take care of 
it.
Comment 7 Philip M. Gollucci freebsd_committer 2010-09-17 00:20:49 UTC
State Changed
From-To: feedback->open

submitter feedback timeout: (Berend de Boer <berend@pobox.com> ; 45 
days)
Comment 8 Stefan Walter freebsd_committer 2010-11-10 10:10:06 UTC
State Changed
From-To: open->closed

Submitter does not respond, maintainer was reset and there are more recent 
versions of the software that the port could be updated to. Thus, the port is 
IGNOREd until someone comes up with an update.
Comment 9 dfilter service freebsd_committer 2010-11-10 10:19:49 UTC
stefan      2010-11-10 10:19:45 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql-odbc Makefile 
  Log:
  IGNORE until someone provides an update - contents of numeric fields returned as
  0 in this version.
  
  PR:             144993
  Submitted by:   Berend de Boer <berend@pobox.com>
                  (+ submitter timeout, thus no update at this point)
  
  Revision  Changes    Path
  1.20      +2 -0      ports/databases/postgresql-odbc/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 berend 2010-12-26 21:49:56 UTC
Hi FreeBSD,

As suggested have used 08.04.0200 and that appears to work fine as
well.

Here the patch to upgrade the port to this version. As it appears the
maintainer has no time, I'm happy to become maintainer as I probably
need this working correctly for a few years.

diff -urN postgresql-odbc.orig/Makefile postgresql-odbc/Makefile
--- postgresql-odbc.orig/Makefile	2010-11-10 23:19:44.000000000 +1300
+++ postgresql-odbc/Makefile	2010-12-27 10:30:51.000000000 +1300
@@ -32,7 +32,7 @@
 # this is considered to be a part of the `postgresql' port.
 
 PORTNAME=		postgresql
-PORTVERSION=		08.04.0100
+PORTVERSION=		08.04.0200
 PORTREVISION=		0
 CATEGORIES=		databases
 MASTER_SITES=		${MASTER_SITE_PGSQL}
@@ -45,12 +45,10 @@
 MAINTAINER=		ports@FreeBSD.org
 COMMENT=		PostgreSQL ODBC driver
 
-BUILD_DEPENDS=		pg_config:${PORTSDIR}/databases/postgresql83-client
+BUILD_DEPENDS=		pg_config:${PORTSDIR}/databases/postgresql84-client
 
 GNU_CONFIGURE=		YES
 
-IGNORE=			does not work properly (see ports/144993)
-
 .if !defined(WITH_IODBC)
 WITH_UNIXODBC=	yes
 .endif
@@ -71,6 +69,7 @@
 DATADIR_1=	${DATADIR}/odbc
 DOCSDIR_1=	${DOCSDIR}/odbc
 post-install:
+	${LN} ${PREFIX}/lib/libpsqlodbcw.so.0.0 ${PREFIX}/lib/psqlodbcw.so
 .if !defined(NOPORTDATA)
 	@${MKDIR} ${DATADIR_1}
 	${INSTALL_DATA} ${WRKSRC}/*.sql ${DATADIR_1}
diff -urN postgresql-odbc.orig/distinfo postgresql-odbc/distinfo
--- postgresql-odbc.orig/distinfo	2009-11-05 10:11:51.000000000 +1300
+++ postgresql-odbc/distinfo	2010-12-27 09:59:52.000000000 +1300
@@ -1,3 +1,2 @@
-MD5 (postgresql/psqlodbc-08.04.0100.tar.gz) = 2328c3e97e6a376620a5d317137515ff
-SHA256 (postgresql/psqlodbc-08.04.0100.tar.gz) = 57bb143d5d20804c5ce96214227e6e65dc16520efce7ac25ddb7cc4c8aa0db0a
-SIZE (postgresql/psqlodbc-08.04.0100.tar.gz) = 736714
+SHA256 (postgresql/psqlodbc-08.04.0200.tar.gz) = 6e745e9083d605b1cdeaacdd3bea8f83246da302f2df7ebbd72adca06460cb3f
+SIZE (postgresql/psqlodbc-08.04.0200.tar.gz) = 725393
diff -urN postgresql-odbc.orig/files/patch-odbcapi30.c postgresql-odbc/files/patch-odbcapi30.c
--- postgresql-odbc.orig/files/patch-odbcapi30.c	2009-01-27 18:13:09.000000000 +1300
+++ postgresql-odbc/files/patch-odbcapi30.c	1970-01-01 12:00:00.000000000 +1200
@@ -1,13 +0,0 @@
---- odbcapi30.c.orig	2009-01-26 23:20:59.000000000 +0600
-+++ odbcapi30.c	2009-01-26 23:21:47.000000000 +0600
-@@ -118,9 +118,7 @@
- 			SQLPOINTER CharacterAttribute,
- 			SQLSMALLINT BufferLength,
- 			SQLSMALLINT *StringLength,
--#if defined(_WIN64)
--			SQLLEN *NumericAttribute
--#elif defined(WITH_UNIXODBC) || defined(WIN32)
-+#if defined(WIN32)
- 			SQLPOINTER NumericAttribute
- #else
- 			SQLLEN *NumericAttribute
diff -urN postgresql-odbc.orig/files/patch-odbcapi30w.c postgresql-odbc/files/patch-odbcapi30w.c
--- postgresql-odbc.orig/files/patch-odbcapi30w.c	2009-01-27 18:13:09.000000000 +1300
+++ postgresql-odbc/files/patch-odbcapi30w.c	1970-01-01 12:00:00.000000000 +1200
@@ -1,11 +0,0 @@
---- odbcapi30w.c.orig	2009-01-26 23:23:19.000000000 +0600
-+++ odbcapi30w.c	2009-01-26 23:24:07.000000000 +0600
-@@ -255,7 +255,7 @@
- 	SQLPOINTER	pCharAttr,
- 	SQLSMALLINT	cbCharAttrMax,	
- 	SQLSMALLINT	*pcbCharAttr,
--#if defined(WITH_UNIXODBC) || (defined(WIN32) && ! defined(_WIN64))
-+#if defined(WIN32)
- 	SQLPOINTER	pNumAttr
- #else
- 	SQLLEN		*pNumAttr
diff -urN postgresql-odbc.orig/pkg-plist postgresql-odbc/pkg-plist
--- postgresql-odbc.orig/pkg-plist	2008-10-25 08:00:28.000000000 +1300
+++ postgresql-odbc/pkg-plist	2010-12-27 10:15:28.000000000 +1300
@@ -1,4 +1,5 @@
 lib/psqlodbcw.la
+lib/libpsqlodbcw.so.0.0
 lib/psqlodbcw.so
 %%PORTDOCS%%%%DOCSDIR%%/odbc/config-opt.html
 %%PORTDOCS%%%%DOCSDIR%%/odbc/config.html

-- 
All the best,

Berend de Boer
Comment 11 Stefan Walter freebsd_committer 2011-02-15 18:21:09 UTC
State Changed
From-To: closed->open

Submitter has provided a patch for an update.
Comment 12 Baptiste Daroussin freebsd_committer 2011-03-17 16:51:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 13 Baptiste Daroussin freebsd_committer 2011-03-17 17:07:41 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 14 dfilter service freebsd_committer 2011-03-17 17:08:30 UTC
bapt        2011-03-17 17:07:24 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql-odbc Makefile distinfo pkg-plist 
  Removed files:
    databases/postgresql-odbc/files patch-odbcapi30.c 
                                    patch-odbcapi30w.c 
  Log:
  - update to 08.04.0200 [1]
  - cleanup the Makefile
  
  PR:             ports/144993 [1]
  Submitted by:   Berend de Boer <berend _at_ pobox.com>
  
  Revision  Changes    Path
  1.21      +4 -32     ports/databases/postgresql-odbc/Makefile
  1.8       +2 -3      ports/databases/postgresql-odbc/distinfo
  1.2       +0 -13     ports/databases/postgresql-odbc/files/patch-odbcapi30.c (dead)
  1.2       +0 -11     ports/databases/postgresql-odbc/files/patch-odbcapi30w.c (dead)
  1.8       +1 -1      ports/databases/postgresql-odbc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Baptiste Daroussin freebsd_committer 2011-03-17 17:21:39 UTC
State Changed
From-To: closed->feedback

The website and the distfiles aren't fetchable, can you fix that ?
Comment 16 berend 2011-03-17 19:00:17 UTC
Can fetch here, perhaps temporary problem?
Comment 17 berend 2011-03-17 19:01:30 UTC
Can fetch here, perhaps temporary problem?
Comment 18 Baptiste Daroussin freebsd_committer 2011-03-17 19:25:09 UTC
State Changed
From-To: feedback->closed

Didn't feedback the good pr, this one is really closed, sorry for noise 
and Thanks!